Update a sso connection
PATCH
/v1/tenants/current/sso-connections/{connectionId}curl -X PATCH 'https://api.embodiflow.io/v1/tenants/current/sso-connections/{connectionId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"issuer": "string",
"clientId": "string",
"clientSecret": "string",
"secretRef": "string",
"authorizationEndpoint": "string",
"tokenEndpoint": "string",
"jwksUri": "string",
"samlEntityId": "string",
"samlAcsUrl": "string",
"samlMetadataUrl": "string",
"samlCertificate": "string",
"status": "disabled"
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- connectionIdstringrequired
Header parameters
- If-Matchstring
Optional precondition. A matching tag proceeds and returns the new ETag. A stale tag returns 412 PRECONDITION_FAILED with no write. Absent proceeds (opt-in this release). If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
Request body
Content-Typeapplication/json
- namestring
- issuerstring
- clientIdstring
- clientSecretstring | null
- secretRefstring | null
- authorizationEndpointstring
- tokenEndpointstring
- jwksUristring
- samlEntityIdstring
- samlAcsUrlstring
- samlMetadataUrlstring
- samlCertificatestring | null
- statusstringAllowed valuesdisableddraftenabled
Responses
Success
- dataobjectrequired
- idstringrequired
- namestringrequired
- protocolstringrequiredAllowed valuesoidcsaml
- statusstringrequiredAllowed valuesdisableddraftenabled
- issuerstring | nullrequired
- clientIdstring | nullrequired
- hasClientSecretone ofrequired
- secretRefstring | nullrequired
- authorizationEndpointstring | nullrequired
- tokenEndpointstring | nullrequired
- jwksUristring | nullrequired
- samlEntityIdstring | nullrequired
- samlAcsUrlstring | nullrequired
- samlMetadataUrlstring | nullrequired
- hasSamlCertificateone ofrequired
- createdAtstringrequired
- updatedAtstringrequired
- metaobjectrequired
- requestIdstringrequired
Response example
{
"data": {
"id": "string",
"name": "string",
"protocol": "oidc",
"status": "disabled",
"issuer": "string",
"clientId": "string",
"hasClientSecret": false,
"secretRef": "string",
"authorizationEndpoint": "string",
"tokenEndpoint": "string",
"jwksUri": "string",
"samlEntityId": "string",
"samlAcsUrl": "string",
"samlMetadataUrl": "string",
"hasSamlCertificate": false,
"createdAt": "string",
"updatedAt": "string"
},
"meta": {
"requestId": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1